#include <iostream>
#include <fstream>
#include <string>
#include <vector>

using namespace std;

const int n = 4;

struct output_structure
{
    double len;
    bool pe, wa;
    string comment;
};

output_structure ans, out;
double t[n][n];

void read(ifstream &f)
{
    for (int i = 0; i < n; i++)
        for (int j = 0; j < n; j++)
            f >> t[i][j];
}

bool check(const vector<int> &v, string &comment)
{
    int i;
    for (i = 0; i < n; i++)
        if (v[i] < 1 || v[i] > n) {
            comment = "illegal permutation";
            return false;
        }

    int j;
    for (i = 0; i < n; i++)
        for (j = i+1; j < n; j++)
            if (v[i] == v[j]) {
                comment = "illegal permutation";
                return false;
            }

    return true;
}

void process(ifstream &f, output_structure &ou)
{
    int i;
    vector<int> p(n);
    
    for (i = 0; i < n; i++)
        f >> p[i];
    if (!f) {
        ou.pe = true; 
        ou.comment = "couldn't read the permutation"; 
        return;
    }

    if (!check(p, ou.comment)) {
        ou.pe = false; 
        ou.wa = true; 
        return;
    }

    ou.len = 0.0;
    for (i = 0; i < n; i++)
        ou.len += t[i][p[i]-1];

    ou.pe = false; ou.wa = false;
}

int main(int argc, char* argv[])
{
    ifstream f_in(argv[1]);
    ifstream f_out(argv[2]);
    ifstream f_ans(argv[3]);

    read(f_in);

    process(f_ans, ans);
    process(f_out, out);

    if (ans.pe) {
        cout << "jury got PE: " << ans.comment << endl;
        return 3; 
    }
    if (ans.wa) {
        cout << "jury got WA: " << ans.comment << endl;
        return 3; 
    }
    if (out.pe) {
        cout << "PE: " << out.comment << endl;
        return 2; 
    }
    if (out.wa) {
        cout << "WA: " << out.comment << endl;
        return 1; 
    }
    if (ans.len > out.len) {
        cout << "contestant is better" << endl;
        return 3;
    }
    if (ans.len < out.len) {
        cout << "jury is better" << endl;
        return 1;
    }

    cout << "ok" << endl;
    return 0;
}
