#include <algorithm>
#include <iostream>
#include <fstream>
#include <sstream>
#include <iomanip>
#include <cstdlib>
#include <vector>

using namespace std;

const int tests_start = 2;
ofstream out;
int current_test;

const int n = 4;
double t[4][4];

void new_test()
{
    if (current_test >= tests_start) out.close();
    current_test++;
    ostringstream ss;
    ss << setfill('0') << setw(2) << current_test;
    out.open(ss.str().c_str());
    cout << ss.str() << endl;
}

void gen_test(const vector<int>& p)
{
    new_test();
    out << fixed << setprecision(2);
    for (int i = 0; i < n; i++) {
        for (int j = 0; j < n; j++) {
            out << t[p[i]][j] << " ";
        }
        out << endl;
    }
}

int main()
{
    current_test = tests_start-1;
    srand(54268);

    for (int i = 0; i < 4; i++)
        for (int j = 0; j < 4; j++)
            t[i][j] = (rand() % 12001) / 100.0;

    vector<int> p(n);
    for (int i = 0; i < n; i++) p[i] = i;

    while (1) {
        gen_test(p);
        if (!next_permutation(p.begin(), p.end())) break;
    }
}
